# scraper built to scrape maps from google maps
# for the zipCoda project by Mouse & the Billionaire
# copyright 2013 Mouse & the Billionaire

import urllib
import os
import sys

arguments = sys.argv
i = arguments[1]

mapsURLfront = "http://maps.googleapis.com/maps/api/staticmap?center="
mapsURLback = "&zoom=15&size=640x480&sensor=false&maptype=satellite"


fileName = ("zipData/" + str(i) + ".txt")
fileMap = ("zipMaps/" + str(i) + ".png")

if os.path.isfile(fileName) and (not(os.path.exists(fileMap))):

	f = open(fileName, 'r+')
	saveTo = ('zipMaps/'+str(i)+'.png')
	
	lon = f.readline()[:-2]
	lat = f.readline()[:-2]
	
	mapURL = mapsURLfront + lon + "," + lat + mapsURLback

	urllib.urlretrieve(mapURL, saveTo)
	
	print("Saved: "+str(i)+".png")
			
		